Imports dGen.Library.Enums.QueryEnums.QueryOperatorEnum
Imports dGen.Library.Enums.QueryEnums.CompareEnum
Public Class AreaDbHelper
    Inherits DbHelper(Of Area,SqlDbType)

#Region "Metodos Generador"
    Public Function GetListAreaByFactorPuntaje(ByVal idFactorPuntaje as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of Area)
        Dim QueryObject = CreateQueryObject()
        QueryObject.CreateQuery(foreignLevel)
        QueryObject.Where(_None, _Equals).idFactorPuntaje = idFactorPuntaje
        Return QueryObject.ExecuteList()
    End Function


#End Region
End Class
